#include "CoreInputSwitcherWidget.h"
#include "EUIActionType.h"
#include "InputCoreTypes.h"
#include "UObject/SoftObjectPtr.h"
#include "Framework/Text/TextLayout.h"

class UCurveFloat;
class UMaterialInstance;
class UTexture2D;
class UCoreButtonWidget;
class UCoreKeyListenerInputPromptWidget;

void UCoreInputSwitcherWidget::SetUIAction(const EUIActionType actionType)
{

}

void UCoreInputSwitcherWidget::SetRepeatable(bool isRepeatable, UCurveFloat* repetitionDelayCurve)
{

}

void UCoreInputSwitcherWidget::SetLabel(const FText& label)
{

}

void UCoreInputSwitcherWidget::SetKeyOverride(const FKey keyOverride)
{

}

void UCoreInputSwitcherWidget::SetEnabled(bool isEnabled)
{

}

void UCoreInputSwitcherWidget::SetChargeable(bool isChargeable, UCurveFloat* holdingAnimCurve, float duration)
{

}

void UCoreInputSwitcherWidget::SetBackground(TSoftObjectPtr<UMaterialInstance> backgroundMaterial)
{

}

void UCoreInputSwitcherWidget::SetAlignment(ETextJustify::Type newAlignment)
{

}

void UCoreInputSwitcherWidget::SetAdditionalIcon(TSoftObjectPtr<UTexture2D> iconTexture)
{

}

void UCoreInputSwitcherWidget::OnInputPromptTriggered()
{

}

void UCoreInputSwitcherWidget::OnButtonClicked(UCoreButtonWidget* target)
{

}

void UCoreInputSwitcherWidget::OnAlignmentChanged_Implementation(ETextJustify::Type newAlignment)
{

}

UCoreKeyListenerInputPromptWidget* UCoreInputSwitcherWidget::GetInputPrompt() const
{
	return NULL;
}

bool UCoreInputSwitcherWidget::GetEnabled() const
{
	return false;
}

UCoreButtonWidget* UCoreInputSwitcherWidget::GetButton() const
{
	return NULL;
}

UCoreInputSwitcherWidget::UCoreInputSwitcherWidget()
{
	this->ButtonDisplayRule = EInputSwitcherDisplayRule::OnlyGamepad;
	this->InputPromptDisplayRule = EInputSwitcherDisplayRule::OnlyKeyboard;
	this->_shouldRegisterForInputInConstruct = true;
	this->_alignment = ETextJustify::Left;
	this->_isEnabled = true;
	this->ButtonPressedSfxName = TEXT("AudioEvent_UI_Select_Press");
	this->ButtonHoveredSfxName = TEXT("AudioEvent_UI_Highlight");
	this->InputTriggeredSfxName = TEXT("AudioEvent_UI_Select_Release");
	this->ButtonStartedChargingSfxName = TEXT("AudioEvent_Unlock_Progress_Start");
	this->ButtonCancelledChargingSfxName = TEXT("AudioEvent_Unlock_Progress_Stop");
	this->ButtonCompletedChargingSfxName = TEXT("AudioEvent_Unlock_Progress_Complete");
	this->_sendAnalyticsData = true;
	this->_analyticsName = TEXT("UNDEFINED");
	this->_prependCurrentTabNameToAnalyticsName = false;
}
